window.addEventListener("load", function() {
    (function($) {
        var slug = $("input#id_slug").val();

    	$("input#id_title").on('input', function() {
	    var title = $("input#id_title").val();
	
            var complete = function(res, status) {
                if (status == "success") $("input#id_slug").val(res.responseText);
            }
            
	    getUrl = window.location
            baseUrl = getUrl.protocol + "//" + getUrl.host + "/" + getUrl.pathname.split('/')[0];

	    $.ajax({type:'GET', url: baseUrl + 'posts/func/slug_calc', data:{'title': title, 'slug': slug }, complete:complete});
        });
    })(django.jQuery);
});
